Retrieve Holder details
curl --request GET \
--url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders/{holder_id}import requests
url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders/{holder_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders/{holder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"addresses": {
"additional1": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zipCode": "<string>",
"description": "<string>"
},
"additional2": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zipCode": "<string>",
"description": "<string>"
},
"primary": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zipCode": "<string>",
"description": "<string>"
}
},
"contact": {
"mobilePhone": "<string>",
"otherPhone": "<string>",
"primaryEmail": "<string>",
"secondaryEmail": "<string>"
},
"document": "<string>",
"externalId": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legalPerson": {
"activity": "<string>",
"foundingDate": "2023-12-25",
"representative": {
"document": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>"
},
"size": "<string>",
"status": "<string>",
"tradeName": "<string>",
"type": "<string>"
},
"metadata": {},
"name": "<string>",
"naturalPerson": {
"birthDate": "2023-12-25",
"civilStatus": "<string>",
"fatherName": "<string>",
"favoriteName": "<string>",
"gender": "<string>",
"motherName": "<string>",
"nationality": "<string>",
"socialName": "<string>",
"status": "<string>"
},
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Retrieve Holder details
GET
/
v1
/
organizations
/
{organization_id}
/
holders
/
{holder_id}
Retrieve Holder details
Headers
A unique identifier used to trace and track each request.
Bearer JWT token for authentication.
Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments).
Optional in default OSS single-tenant mode.
Format: Bearer <token>
Path Parameters
The unique identifier of the Organization associated with the Ledger.
Holder ID (UUID)
Query Parameters
Returns the holder even if it was logically deleted (true,false)
Response
OK
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
100Example:
"91315026015"
Maximum string length:
256Example:
"G4K7N8M2"
Example:
"00000000-0000-0000-0000-000000000000"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
256Example:
"John Doe"
Show child attributes
Show child attributes
Maximum string length:
100Example:
"NATURAL_PERSON"
Was this page helpful?
⌘I

